
Foreman - Bug #963

We can't add a smart proxy which doesn't support any feature

06/07/2011 06:46 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Smart Proxy   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

If I try to add a smart-proxy in foreman whereas it does not support any feature,

I got an apache error (with passenger) :

"NoMethodError (undefined method `empty?' for true:TrueClass):"

Thx in advance

Associated revisions

Revision 31e8c71b - 01/29/2012 07:15 AM - Ohad Levy

fixes #963 - can't add a smart proxy which doesn't support any feature

Revision 6484ee30 - 01/30/2012 08:16 AM - Ohad Levy

refs #963 - ensure that we reset the feature list each time

History

#1 - 01/19/2012 01:15 PM - Adrian Bridgett

same here, v0.4.1:

NoMethodError

undefined method `empty?' for true:TrueClass

/usr/share/foreman/app/models/smart_proxy.rb:67:in `associate_features'

/usr/share/foreman/app/controllers/smart_proxies_controller.rb:15:in `create'

#2 - 01/29/2012 05:03 AM - Ohad Levy

- Category set to Smart Proxy

- Assignee set to Ohad Levy

- Target version set to 1.0

#3 - 01/29/2012 09:58 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 31e8c71bf48d5bfa293401015749439b6b4eb35a.
